---
title: kerning
slug: Web/SVG/Attribute/kerning
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG2")}}</div>

<p>The <strong><code>kerning</code></strong> attribute indicates whether the spacing between {{Glossary("glyph", "glyphs")}} should be adjusted based on kerning tables that are included in the relevant font (i.e., enable auto-kerning) or instead disable auto-kerning and set the spacing between them to a specific length (typically, zero).</p>

<p class="note"><strong>Note:</strong> As a presentation attribute <code>kerning</code> can be used as a CSS property. In CSS the property is called {{cssxref("font-kerning")}}, though.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following four elements: {{SVGElement("altGlyph")}}, {{SVGElement("textPath")}}, {{SVGElement("text")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
  font: 36px Verdana, Helvetica, Arial, sans-serif;
}</pre>
</div>

<pre class="brush: html; hightlight[3,8]">&lt;svg viewBox="0 0 150 125" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;text x="10" y="30" kerning="auto"&gt;auto&lt;/text&gt;
  &lt;text x="10" y="70" kerning="0"&gt;number&lt;/text&gt;
  &lt;text x="10" y="110" kerning="20px"&gt;length&lt;/text&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "200", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <code><a href="/en-US/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>auto</code></dt>
 <dd>This value indicates that the spacing between {{Glossary("glyph", "glyphs")}} is adjusted based on kerning tables that are included in the font that will be used.</dd>
 <dt><code>&lt;length&gt;</code></dt>
 <dd>
 <p>If a length is provided, then auto-kerning is disabled. Instead, inter-character spacing is set to the given length.</p>

 <p>If a length is provided without a unit identifier (e.g., an unqualified number such as <span class="attr-value">128</span>), the length is processed as a width value in the current user coordinate system. If a unit identifier (e.g., <code>0<span class="attr-value">.25em</span></code> or <code><span class="attr-value">1%</span></code>) is provided, then the length is converted into a corresponding value in the current user coordinate system.</p>

 <p>The most common scenario, other than <code><span class="prop-value">auto</span></code>, is to set <code>kerning</code> to a value of <code><span class="prop-value">0</span></code> so that auto-kerning is disabled.</p>

 <p>The given length is added to the inter-character spacing value specified by the {{SVGAttr("letter-spacing")}} attribute.</p>
 </dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.kerning")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-kerning", "CSS font-kerning")}}</li>
</ul>
